Summary:        Extremely fast library for floating-point convolution
Name:           djbfft
Version:        0.76
Release:        0.PU_IAS.2
Epoch:          0
License:        Distributable
Group:          Development/Libraries
URL:            http://cr.yp.to/djbfft.html
Source0:        http://cr.yp.to/djbfft/djbfft-0.76.tar.gz
Patch0:         %{name}-build.patch
Patch1:		djbfft-0.76.64bitfixes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  perl

%description
djbfft is an extremely fast library for floating-point
convolution. The current version holds most of the speed records for
double-precision FFTs on general-purpose computers.
djbfft provides power-of-2 complex FFTs, real FFTs at twice the speed,
and fast multiplication of complex arrays. Single precision and double
precision are equally supported.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0
%patch1 -p1
perl -pi -e 's|^gcc |gcc %{optflags} -fPIC |' conf-cc
%ifarch x86_64 ia32e
perl -pi -e 's|lib|lib64|' hier.c
%endif
# -----------------------------------------------------------------------------

%build

%ifarch i586
echo pentium > conf-opt
%endif
%ifarch i686
echo ppro > conf-opt
%endif
echo %{buildroot}%{_prefix} > conf-home

make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}{%{_includedir},%{_libdir}}
make setup
rename djbfft.a libdjbfft.a %{buildroot}%{_libdir}/djbfft.a

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%files
%defattr(-,root,root,-)
%doc CHANGES README TODO
%{_includedir}/*
%{_libdir}/*

# -----------------------------------------------------------------------------

%changelog
* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.76-0.fdr.1
- First Fedora release.
